﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace Dynamic_Change
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            Resource_Combobox.SelectedIndex = 0;
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void ComboBox_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        {
            if(Resource_Combobox != null)
            if (Resource_Combobox.SelectedIndex == 0)
            {
                // Setting new resource to schedule
                ObservableCollection<ResourceType> Restype_coll = new ObservableCollection<ResourceType>();
                ResourceType Doctor = new ResourceType(){TypeName="Doctor"};
                Doctor.ResourceCollection.Add(new Resource() { DisplayName = "Dr.Jacob John, M.D", ResourceName = "Dr.Jacob" });
                Doctor.ResourceCollection.Add(new Resource() { DisplayName = "Dr.Darsy Mascio, M.D", ResourceName = "Dr.Darsy" });
                Restype_coll.Add(Doctor);
                schedule1.ScheduleResourceTypeCollection = Restype_coll;
                
                //Setting the resource name to be displayed in schedule
                schedule1.Resource = "Doctor";
                
                //Clearing Old appointments and setting new appointments
                schedule1.Appointments.Clear();
                ScheduleAppointment app = new ScheduleAppointment() { Subject="Meeting with patients", StartTime = DateTime.Now.Date.AddHours(9), EndTime = DateTime.Now.Date.AddHours(10) };
                ScheduleAppointment app1= new ScheduleAppointment(){ Subject="Heart Operation",StartTime= DateTime.Now.Date.AddDays(1).AddHours(9), EndTime= DateTime.Now.Date.AddDays(1).AddHours(10)};
                app.ResourceCollection.Add(new Resource(){ ResourceName="Dr.Darsy",TypeName="Doctor" });
                app1.ResourceCollection.Add(new Resource(){ ResourceName="Dr.Jacob",TypeName="Doctor" });
                schedule1.Appointments.Add(app);
                schedule1.Appointments.Add(app1);
            }
            else 
            {
                // Setting new resource to schedule
                ObservableCollection<ResourceType> Restype_coll = new ObservableCollection<ResourceType>();
                ResourceType Patient = new ResourceType(){TypeName="Patient"};
                Patient.ResourceCollection.Add(new Resource() { DisplayName = "Mark", ResourceName = "Mark" });
                Patient.ResourceCollection.Add(new Resource() { DisplayName = "Micheal", ResourceName = "Micheal" });
                Restype_coll.Add(Patient);
                schedule1.ScheduleResourceTypeCollection = Restype_coll;

                //Setting the TypeName to display the current resource in schedule
                schedule1.Resource = "Patient";

                //Clearing Old appointments and setting new appointments
                schedule1.Appointments.Clear();
                ScheduleAppointment app = new ScheduleAppointment() {Subject="General Checkup", StartTime = DateTime.Now.Date.AddHours(9), EndTime = DateTime.Now.Date.AddHours(10) };
                ScheduleAppointment app1 = new ScheduleAppointment() { Subject = "Operation", StartTime = DateTime.Now.Date.AddDays(1).AddHours(9), EndTime = DateTime.Now.Date.AddDays(1).AddHours(10) };
                app.ResourceCollection.Add(new Resource(){ ResourceName="Mark",TypeName="Patient" });
                app1.ResourceCollection.Add(new Resource(){ ResourceName="Micheal",TypeName="Patient" });
                schedule1.Appointments.Add(app);
                schedule1.Appointments.Add(app1);
            }
        }
    }
}
